# {{ ansible_managed }}
#
# {{ coremedia_application_name }} component specific properties

# Workflow server webapp configuration
# These properties are unused when deploying on websphere - use blueprint-tests/test-system/cookbooks/blueprint-was/recipes/workflow-server.rb
# ---------------------------

# spring context manager
workflow.server.managers.springcontext.class=com.coremedia.workflow.common.util.SpringContextManager
workflow.server.managers.springcontext.configurations=classpath:/framework/spring/workflowserver-springcontextmanager.xml,classpath:/config/workflowserver/spring/applicationContext*.xml

# Configure storage for Studio Control Room functionality, either MongoDB or IBM DB2
# For MongoDB configure:
mongoDb.clientURI = {{ workflow_server.mongodb.client_uri }}
mongoDb.prefix = {{ workflow_server.mongodb.prefix }}

# disable auto configuration of features that are explicitly configured by CM components
spring.autoconfigure.exclude=org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration
